Bug 495949 - (python-kinterbasdb) Review Request: python-kinterbasdb - A Python DB-API 2.0 compliant interface to Firebird
Review Request: python-kinterbasdb - A Python DB-API 2.0 compliant interface ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On: 498790
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-15 13:05 EDT by Philippe Makowski
Modified: 2009-05-13 22:56 EDT (History)
3 users (show)

See Also:
Fixed In Version: 3.3.0-0.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-13 07:22:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lemenkov: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Philippe Makowski 2009-04-15 13:05:16 EDT
Spec URL: http://ibphoenix.fr/fedora/kinterbasdb.spec
SRPM URL: http://ibphoenix.fr/fedora/kinterbasdb-3.3.0-0.fc10.src.rpm
Description: KInterbasDB is a Python extension package that implements Python Database API 2.0-compliant support for the open source relational database Firebird and some versions of its proprietary cousin Borland Interbase.
In addition to the minimal feature set of the standard Python DB API,
KInterbasDB also exposes nearly the entire native client API of the database
engine.

Kinterbasdb is part of the Firebird project
I'm member of the Firebird Admin Team, Q/A tester
and I need a sponsor for that rpm
Comment 1 Peter Lemenkov 2009-04-22 01:55:50 EDT
I'll review it (after we'll finish with firebird).
Comment 2 Peter Lemenkov 2009-05-03 08:11:15 EDT
Unblocking FE-NEEDSPONSOR - I sponsored Philippe.
Comment 3 Philippe Makowski 2009-05-07 17:36:27 EDT
can you explain me what is wrong there ?

http://koji.fedoraproject.org/koji/getfile?taskID=1341339&name=build.log
Comment 4 Peter Lemenkov 2009-05-08 04:45:34 EDT
Your application is arch-specific , that means that it will be installed in %{python_sitearch}, not in %{python_sitelib}.

Just change 

%{python_sitelib}/%{name}/
%{python_sitelib}/%{name}-%{version}-py*.egg-info

to

%{python_sitearch}/%{name}/
%{python_sitearch}/%{name}-%{version}-py*.egg-info
Comment 5 Peter Lemenkov 2009-05-08 04:48:54 EDT
Regarding spec-file, I see the following issues:

* use full path in Source0.
* apply patch with saving original file with some descriptive suffix, e.g. change

%patch0

to

%patch0 -b .some_descriptive_suffix
Comment 7 Peter Lemenkov 2009-05-09 09:55:42 EDT
Ok, looks good.

There is one purely bureaucratic issue. In Fedora there is a strange policy that every lang-specific library should be named as lang-libraryname, e.g. according to this rule this package should be named as python-kinterbasdb.

I advice you to rename package to python-kinterbasdb and add another one provides:

Provides: kinterbasdb = %{version}-%{release}

See, for example, http://peter.fedorapeople.org/python-sippy.spec - I was forced to add "Provides:       sippy = %{version}-%{release}"
Comment 9 Peter Lemenkov 2009-05-11 04:33:31 EDT
(In reply to comment #8)
> ok
> so something like that :
> 
> http://ibphoenix.fr/fedora/python-kinterbasdb.spec
> http://ibphoenix.fr/fedora/python-kinterbasdb-3.3.0-0.fc10.src.rpm  

Yes, exactly!
Please, open another review request with proper name (python-kinterbasdb), and mark this one as duplicate of that.
Comment 10 Mamoru TASAKA 2009-05-11 05:20:50 EDT
Just changing Summary
Comment 11 Peter Lemenkov 2009-05-11 05:27:25 EDT
Yeah! Thanks, Mamoru, for the tip.
Comment 12 Peter Lemenkov 2009-05-11 06:28:57 EDT
REVIEW:

+/- rpmlint is not silent:

[petro@Sulaco Desktop]$ rpmlint python-kinterbasdb-*
python-kinterbasdb.ppc: W: wrong-file-end-of-line-encoding /usr/share/doc/python-kinterbasdb-3.3.0/README
python-kinterbasdb.src: W: mixed-use-of-spaces-and-tabs (spaces: line 15, tab: line 5)
3 packages and 0 specfiles checked; 0 errors, 2 warnings.
[petro@Sulaco Desktop]$ 

The former warning must be fixed in %prep section. Just add the following line:
sed -i 's|\r||g' README

The latter warning may be ignored, but you should consider suppressing it as well. Not a blocker.

+ The package is named according to the Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.

- The package meets the Packaging Guidelines, except leftover in install section. Please remove "%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT" string. It duplicates by the following string and doesn't explicitly contain -O1. 

Another one issue with this package is duplicated content - it contains doc-files as %doc and inside the %{python_sitearch}/%{origname}/ . I advice you to remove the doc-directory from %{python_sitearch}/%{origname}/ at the %install stage (quick fix), or to patch setup.py (more proper way).

+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines .
+ The License field in the package spec file matches the actual license (BSD)
+ The file, containing the text of the license(s) for the package, is included in %doc (doc/license.html).
+ The spec file is written in American English.
+ The spec file for the package is legible (as almost all python packages - thanks to distutils!)
+ The sources used to build the package matches the upstream source

[petro@Sulaco SOURCES]$ md5sum kinterbasdb-3.3.0.tar.bz2*
0296d2dbc7b76dac140b5fec2ad59f0e  kinterbasdb-3.3.0.tar.bz2
0296d2dbc7b76dac140b5fec2ad59f0e  kinterbasdb-3.3.0.tar.bz2.1
[petro@Sulaco SOURCES]$

+ The package successfully compiles and builds into binary rpms on at least one primary architecture.

http://koji.fedoraproject.org/koji/taskinfo?taskID=1347344

+ All build dependencies are listed in BuildRequires.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissible content.
+ No extremely large documentation files.
+ Everything, the package includes as %doc, does not affect the runtime of the application.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.


Summary:

* Suppress rpmlint warning(s).
* Get rid of duplicated install attemts in the %install section.
* Remove docs from %{python_sitearch}/%{origname}/ or explain why it's necessary to install them here.
Comment 14 Peter Lemenkov 2009-05-11 08:29:27 EDT
Good. The package is

APPROVED.
Comment 15 Philippe Makowski 2009-05-11 08:46:35 EDT
New Package CVS Request
=======================
Package Name: python-kinterbasdb
Short Description: A Python DB-API 2.0 compliant interface to Firebird
Owners: makowski
Branches: F-9 F-10 F-11 EL-4 EL-5 
InitialCC:
Comment 16 Kevin Fenzi 2009-05-13 01:20:45 EDT
cvs done.
Comment 17 Fedora Update System 2009-05-13 07:20:23 EDT
python-kinterbasdb-3.3.0-0.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/python-kinterbasdb-3.3.0-0.fc10
Comment 18 Fedora Update System 2009-05-13 07:20:29 EDT
python-kinterbasdb-3.3.0-0.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/python-kinterbasdb-3.3.0-0.fc9
Comment 19 Fedora Update System 2009-05-13 07:20:34 EDT
python-kinterbasdb-3.3.0-0.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/python-kinterbasdb-3.3.0-0.fc11
Comment 20 Fedora Update System 2009-05-13 22:52:04 EDT
python-kinterbasdb-3.3.0-0.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2009-05-13 22:55:59 EDT
python-kinterbasdb-3.3.0-0.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2009-05-13 22:56:43 EDT
python-kinterbasdb-3.3.0-0.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.